/*
    <Inicio del programa>
    Copyright (C) <2011>  <José Antonio Sánchez Reynaga>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include <QtGui/QApplication>
#include "window.h"
#include "devices.h"
#include <QtCore>
#include <ui_window.h>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    
     //Creamos ventana
         Window w;
    
    //Si existen tres argumentos, significa que se ejecutó desde device notifier
    if(argc == 3){
       
         //Creamos dispositivo a partir del argumento
         Device device(a.arguments()[2]);
      
         //Establecemos el dispositivo actual
         w.setDevice(device);
         
         //Establecemos valor actual en el combo box
         w.getUi()->cb_devices->setCurrentIndex(
                w.getUi()->cb_devices->findText( device.as<Block>()->device() )
         );
         
         //Ahora actualizamos info del dispositivo
         w.refreshDeviceProperties();
         
         
         
    }
    
         w.show();
    
    
    
    
  

   return a.exec();


}
